# Form implementation generated from reading ui file 'src/eric7/MicroPython/WifiDialogs/WifiCountryDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WifiCountryDialog(object):
    def setupUi(self, WifiCountryDialog):
        WifiCountryDialog.setObjectName("WifiCountryDialog")
        WifiCountryDialog.resize(250, 106)
        WifiCountryDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(WifiCountryDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label_13 = QtWidgets.QLabel(parent=WifiCountryDialog)
        self.label_13.setObjectName("label_13")
        self.gridLayout.addWidget(self.label_13, 0, 0, 1, 1)
        self.countryEdit = QtWidgets.QLineEdit(parent=WifiCountryDialog)
        self.countryEdit.setInputMask(">AA;_")
        self.countryEdit.setMaxLength(2)
        self.countryEdit.setClearButtonEnabled(True)
        self.countryEdit.setObjectName("countryEdit")
        self.gridLayout.addWidget(self.countryEdit, 0, 1, 1, 1)
        self.rememberCheckBox = QtWidgets.QCheckBox(parent=WifiCountryDialog)
        self.rememberCheckBox.setObjectName("rememberCheckBox")
        self.gridLayout.addWidget(self.rememberCheckBox, 1, 0, 1, 3)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WifiCountryDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 2, 0, 1, 3)

        self.retranslateUi(WifiCountryDialog)
        self.buttonBox.accepted.connect(WifiCountryDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(WifiCountryDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WifiCountryDialog)
        WifiCountryDialog.setTabOrder(self.countryEdit, self.rememberCheckBox)

    def retranslateUi(self, WifiCountryDialog):
        _translate = QtCore.QCoreApplication.translate
        WifiCountryDialog.setWindowTitle(_translate("WifiCountryDialog", "WiFi Country Code"))
        self.label_13.setText(_translate("WifiCountryDialog", "Country:"))
        self.countryEdit.setToolTip(_translate("WifiCountryDialog", "Enter the country code for the WiFi interface"))
        self.rememberCheckBox.setToolTip(_translate("WifiCountryDialog", "Select to remember the entered connection parameters"))
        self.rememberCheckBox.setText(_translate("WifiCountryDialog", "Remember Parameters"))
